Subject: bug#25565: mark-whole-buffer and unnecessary (point) call

From: dptd dptd <[email-masked]>
Date: Sun, 29 Jan 2017 09:23:40 +0200

> On 29 Jan 2017, at 05:40, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: dptd dptd <[email-masked]>
>> Date: Sat, 28 Jan 2017 23:24:02 +0200
>> Cc: [email-masked]
>> 
>> It looks really strange to copy-and-paste the same
>> explanation for each file / function.
> 
> You shouldn't.  The format is this:
> 
>  * file (func1, func2, func3): Change description.

So this is how it should looks like? For example:
--------
* lisp/textmodes/bib-mode.el (mark-bib): Remove unnecessary call to the (point) function from (push-mark).

* lisp/simple.el (mark-whole-buffer, yank): Remove unnecessary call to the (point) function from (push-mark).
--------
etc.?

> 
> If you type "C-x 4 a" inside every function, Emacs will format the
> list for you, even if it's longer than a single line.  Then write the
> description at the end.
> 

I didn’t knew about this command! It’s awesome - thank you. However it isn’t breaking my lines when
longer than 78 characters. :( I have tried from both - calling directly from the function source code
and from the magit’s staged changes.

I have read on orgmode's page a bit more about working with ChangeLog but couldn’t find the answer

>> Btw. why in my patch next to the ID is so strange date? Mon Sep 17
>> 00:00:00 2001?
> 
> I don't know.  What did you do to produce the patch?

When on my feature branch: git format-patch master (same story for git format-patch -1)